MapSetExecutor (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.parser.node.MapSetExecutor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class MapSetExecutor

    java.lang.Object
      org.apache.velocity.runtime.parser.node.SetExecutor
          org.apache.velocity.runtime.parser.node.MapSetExecutor

public class MapSetExecutor
extends SetExecutor

SetExecutor that is smart about Maps. If it detects one, it does not use Reflection but a cast to access the setter.

Since:
  1.5
Version:
  $Id: MapSetExecutor.java 799457 2009-07-30 22:10:27Z nbubna $
Author:
  Henning P. Schmiedehausen

Field Summary

Fields inherited from class org.apache.velocity.runtime.parser.node.SetExecutor
`log`

Constructor Summary
`MapSetExecutor(Log log, Class clazz, String property)`

Method Summary
`protected void` | `discover(Class clazz)`
`Object` | `execute(Object o, Object arg)` Execute method against context.

Methods inherited from class org.apache.velocity.runtime.parser.node.SetExecutor
`getMethod, isAlive, setMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapSetExecutor

    public MapSetExecutor(Log log,
                          Class clazz,
                          String property)

Method Detail

### discover

    protected void discover(Class clazz)

### execute

    public Object execute(Object o,
                          Object arg)

  Description copied from class: `SetExecutor`
  Execute method against context.

  Specified by:
    `execute` in class `SetExecutor`
  Parameters:
    `o` -
    `arg` -
  Returns:
    The result of the invocation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.